Loading ...
Sorry, an error occurred while loading the content.

add mysql support to sles9 rpm

Expand Messages
  • Alex
    Hi, I m trying to recompile Suse Linux Enterprise Server 9 postfix rpm to include mysql support. I have already contacted the SLES list, no help from there
    Message 1 of 1 , May 31 6:18 AM
    • 0 Attachment
      Hi,

      I'm trying to recompile Suse Linux Enterprise Server 9 postfix rpm to
      include mysql support.

      I have already contacted the SLES list, no help from there yet.

      What I did was modify the make makefiles command in the rpm spec file:

      make makefiles CCARGS="-DHAS_MYSQL -I/usr/include/mysql -DHAS_LDAP
      -DHAS_PCRE -DUSE_SASL_AUTH -I/usr/include/sasl" AUXLIBS="
      -L/usr/lib/mysql -lmysqlclient -lz -lm -lldap -llber -lpcre" DEBUG=""
      make

      The mysql directories are from the latest mysql 5.0.x version. Got them
      via mysql.com, rpm's for sles9.

      I have tried various CCARGS and AUXLIBS entries, that is disabling other
      stuff and so on. Using environment variables etc. Mysql support never
      seams to be added. I have skimmed through the logs which are generated
      during the build and found nothing to indicate a problem with mysql.

      I see in the logs that postfix is being compiled using the mysql
      arguments from CCARGS and AUXLIBS.

      Maybe you could point me in the right direction, where to look for the
      problem. I check for mysql support installing the rpm with ldd:
      ldd `which postfix` | grep -i my

      The postfix binary is definately the one I just compiled and installed.
      On a different SLES9 box, where I compiled postfix without rpms and an
      older mysql install ldd shows me:
      libmysqlclient.so.12 => /usr/lib/libmysqlclient.so.12 (0x4001d000)

      Maybe postfix doesn't like mysql version 5?

      I'm trying to add mysql support to this rpm: postfix-2.1.1-1.17. That is
      postfix version 2.1.1.

      I don't want to just install a new copy of postfix, I want it to be a
      rpm compatible with the rest of SLES9 rpm's and have mysql support. A
      postfix rpm with mysql support for SLES9 is the goal.

      Thanks,
      Alex
    Your message has been successfully submitted and would be delivered to recipients shortly.